<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class CrearGrupo extends Migration
{
    public function up()
    {
        $this->forge->addField([
            'grupo_id' => [
                'type' => 'INT',
                'unsigned' => true,
                'auto_increment' => true,
                'null' => false,
            ],
            'grupo_descripcion' => [
                'type' => 'VARCHAR',
                'constraint' => 150,
                'null' => false,
            ],
            'grupo_estado' => [
                'type' => 'BOOL',
                'null' => false,
            ],
            'created_at timestamp default current_timestamp',
            'updated_at timestamp default current_timestamp on update current_timestamp'
        ]);

        $this->forge->addKey("grupo_id", true);
        $this->forge->createTable("grupo");
    }

    public function down()
    {
        $this->forge->dropTable("grupo", true);
    }
}
